Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.gui
Class JobTracker

    java.lang.Object
      org.pentaho.di.core.gui.JobTracker

    public class JobTracker

extends Object

Responsible for tracking the execution of a job as a hierarchy.

Since:
  30-mar-2006
Author:
  Matt

Constructor Summary
`JobTracker(JobMeta jobMeta)`
`JobTracker(JobMeta jobMeta, JobEntryResult result)` Creates a jobtracker with a single result

Method Summary
`void` | `addJobTracker(JobTracker jobTracker)`
`void` | `clear()`
`JobTracker` | `findJobTracker(JobEntryCopy jobEntryCopy)` Finds the JobTracker for the job entry specified.
`JobEntryResult` | `getJobEntryResult()`
`String` | `getJobFilename()`
`String` | `getJobName()`
`JobTracker` | `getJobTracker(int i)`
`List<JobTracker>` | `getJobTrackers()`
`JobTracker` | `getParentJobTracker()`
`int` | `getTotalNumberOfItems()`
`int` | `nrJobTrackers()`
`void` | `setJobEntryResult(JobEntryResult result)`
`void` | `setJobFilename(String jobFilename)`
`void` | `setJobName(String jobName)`
`void` | `setJobTrackers(List<JobTracker> jobTrackers)`
`void` | `setParentJobTracker(JobTracker parentJobTracker)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTracker

    public JobTracker(JobMeta jobMeta)

### JobTracker

    public JobTracker(JobMeta jobMeta,
                      JobEntryResult result)

  Creates a jobtracker with a single result

  Parameters:
    `result` - the job entry result to track.

Method Detail

### addJobTracker

    public void addJobTracker(JobTracker jobTracker)

### getJobTracker

    public JobTracker getJobTracker(int i)

### nrJobTrackers

    public int nrJobTrackers()

### getJobTrackers

    public List<JobTracker> getJobTrackers()

  Returns:
    Returns the jobTrackers.

### setJobTrackers

    public void setJobTrackers(List<JobTracker> jobTrackers)

  Parameters:
    `jobTrackers` - The jobTrackers to set.

### getJobEntryResult

    public JobEntryResult getJobEntryResult()

  Returns:
    Returns the result.

### setJobEntryResult

    public void setJobEntryResult(JobEntryResult result)

  Parameters:
    `result` - The result to set.

### clear

    public void clear()

### findJobTracker

    public JobTracker findJobTracker(JobEntryCopy jobEntryCopy)

  Finds the JobTracker for the job entry specified. Use this to

  Parameters:
    `jobEntryCopy` - The entry to search the job tracker for
  Returns:
    The JobTracker of null if none could be found...

### getParentJobTracker

    public JobTracker getParentJobTracker()

  Returns:
    Returns the parentJobTracker.

### setParentJobTracker

    public void setParentJobTracker(JobTracker parentJobTracker)

  Parameters:
    `parentJobTracker` - The parentJobTracker to set.

### getTotalNumberOfItems

    public int getTotalNumberOfItems()

### getJobFilename

    public String getJobFilename()

  Returns:
    the jobFilename

### setJobFilename

    public void setJobFilename(String jobFilename)

  Parameters:
    `jobFilename` - the jobFilename to set

### getJobName

    public String getJobName()

  Returns:
    the jobName

### setJobName

    public void setJobName(String jobName)

  Parameters:
    `jobName` - the jobName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD